Get Barndoor's AWS principal - Barndoor Documentation
Get Barndoor's AWS principal
cURL
curl --request GET \
--url https://app.barndoor.ai/api/llm-gateway/admin/connections/aws-role-config \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/connections/aws-role-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/connections/aws-role-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/connections/aws-role-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/connections/aws-role-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/connections/aws-role-config")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://app.barndoor.ai/api/llm-gateway/admin/connections/aws-role-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Structure
{
"configured": true,
"principal_arn": "arn:aws:iam::123456789012:role/barndoor-llm-gateway"
}
Authorizations
Authorization: string (required) in header
JWT obtained through Barndoor's authentication flow. Pass the token verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's loginInteractive() helper to obtain a token in scripts and notebooks.
Response
200 - application/json
Barndoor's AWS principal info, which the customer roles must trust for AWS Bedrock IAM-role auth.
- configured: boolean (required) – Whether AWS role auth is enabled on this Barndoor environment.
- principal_arn: string | null – The AWS IAM principal ARN customers should trust in their role's trust policy. (Example: "arn:aws:iam::123456789012:role/barndoor-llm-gateway")